Bug 1249085 - 'pcs resource delete' doesn't delete resource referenced in acl
'pcs resource delete' doesn't delete resource referenced in acl
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs (Show other bugs)
7.1
x86_64 Linux
high Severity unspecified
: rc
: ---
Assigned To: Ivan Devat
cluster-qe@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 09:13 EDT by Miroslav Lisik
Modified: 2016-11-03 16:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: pcs-0.9.151-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: user delete a resource which is referenced from acl Consequence: pcs is not able to remove a resource referenced from acl Fix: remove a reference before deleting a resource Result: pcs removes the resource and also references to it
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 16:55:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (7.32 KB, patch)
2016-02-05 09:18 EST, Ivan Devat
no flags Details | Diff

  None (edit)
Description Miroslav Lisik 2015-07-31 09:13:49 EDT
Description of problem:
If you create a resource and an acl rule that reference the id of resource, 'pcs resource delete' doesn't remove the resource even when you specify --force option.


Version-Release number of selected component (if applicable):
pcs-0.9.142-2.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. # pcs resource create dummy Dummy
2. # pcs acl role create read-dummy read id dummy
3. # pcs resource delete dummy
4. # pcs resource delete dummy --force


Actual results:
# pcs resource delete dummy
Attempting to stop: dummy...Stopped
Error: unable to remove resource: dummy, it may still be referenced in constraints.
# pcs resource delete dummy --force
Deleting Resource - dummy
Error: unable to remove resource: dummy, it may still be referenced in constraints.
# pcs resource
 dummy  (ocf::heartbeat:Dummy): (target-role:Stopped) Stopped

Expected results:
pcs deletes the resource or correctly inform that the resource is referenced in an acl.
Comment 2 Chris Feist 2015-08-05 18:29:56 EDT
Bumping to 7.3 as we are late in 7.2.
Comment 4 Ivan Devat 2016-02-05 09:18 EST
Created attachment 1121401 [details]
proposed fix
Comment 5 Mike McCune 2016-03-28 18:42:18 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 6 Ivan Devat 2016-05-31 07:48:12 EDT
Before fix:
[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.143-15.el7.x86_64

[vm-rhel72-1 ~] $ pcs resource create dummy Dummy
[vm-rhel72-1 ~] $ pcs acl role create read-dummy read id dummy
[vm-rhel72-1 ~] $ pcs resource delete dummy
Deleting Resource - dummy
Error: unable to remove resource: dummy, it may still be referenced in constraints.

After Fix:
[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.151-1.el7.x86_64

[vm-rhel72-1 ~] $ pcs resource create dummy Dummy
[vm-rhel72-1 ~] $ pcs acl role create read-dummy read id dummy
[vm-rhel72-1 ~] $ pcs resource delete dummy
Deleting Resource - dummy
Comment 10 errata-xmlrpc 2016-11-03 16:55:05 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2596.html

Note You need to log in before you can comment on or make changes to this bug.